#!/bin/bash -l
#SBATCH -J NGSADMIX_4fold_REVISION_02
#SBATCH -o NGSADMIX_4fold_REVISION_02_%j.out
#SBATCH -e NGSADMIX_4fold_REVISION_02_%j.err
#SBATCH -t 20:00:00
#SBATCH -n 1
#SBATCH --mem=40000
#SBATCH --cpus-per-task=4
#SBATCH -p serial
#SBATCH --mail-type=END
#SBATCH --mail-user=tiina.mattila@oulu.fi

date

#Load dependencies
module load biokit
export PATH=${PATH}:${USERAPPL}/angsd_GIT2/angsd/
export PATH=${PATH}:${USERAPPL}/angsd_GIT2/angsd/misc/

#Set path to sites (not needed if the sites files are in the working directory)
SITES=/wrk/mattitii/DONOTREMOVE/FINAL_RESULTS_200217/MASKS_010317/AL_1.0.29_4fold_globmasked_CHR.sites

#name of the file containing list of full paths of bamfiles, one sample/row
BAM=/wrk/mattitii/DONOTREMOVE/FINAL_RESULTS_200217/SUPPORT_FILES/all_bam.filelist

##Set output name
OUTP=ALL_GENOTYPES

##Set a file of chromosomes to include
REGIONS=/wrk/mattitii/DONOTREMOVE/FINAL_RESULTS_200217/SUPPORT_FILES/Chrom.txt

##Set angsd filtering settings
FILTER="-remove_bads -unique_only -minMapQ 30 -minQ 20 -only_proper_pairs 1 -trim 0 -minInd 19"

# Call genotypes and generate Beagle output
angsd -bam $BAM $FILTER -GL 2 -out $OUTP -doGlf 2 -doMajorMinor 1 -doMaf 1 -SNP_pval 2e-6 -rf $REGIONS -sites $SITES -P 4 -minMaf 0.05

date
