#!/bin/bash -l
#SBATCH -J angsd_MDS_4fold_REVISION_01
#SBATCH -o angsd_MDS_4fold_REVISION_01_%j.out
#SBATCH -e angsd_MDS_4fold_REVISION_01_%j.err
#SBATCH -t 20:00:00
#SBATCH -n 1
#SBATCH --mem=40000
#SBATCH -p serial
#SBATCH --mail-type=END
#SBATCH --mail-user=tiina.mattila@oulu.fi

date

#Load dependencies
module load biokit
export PATH=${PATH}:${USERAPPL}/angsd_GIT2/angsd/
export PATH=${PATH}:${USERAPPL}/angsd_GIT2/angsd/misc/

#Set path to sites (not needed if the sites files are in the working directory)
SITES=/wrk/mattitii/DONOTREMOVE/FINAL_RESULTS_200217/MASKS_010317/AL_1.0.29_4fold_globmasked_CHR.sites

#name of the file containing list of full paths of bamfiles, one sample/row
BAM=/wrk/mattitii/DONOTREMOVE/FINAL_RESULTS_200217/SUPPORT_FILES/all_bam.filelist

##Set output name
OUTP=ALL_STRUCTURE

##Set a file of chromosomes to include
REGIONS=/wrk/mattitii/DONOTREMOVE/FINAL_RESULTS_200217/SUPPORT_FILES/Chrom.txt

##Set angsd filtering settings
FILTER="-remove_bads -unique_only -minMapQ 30 -minQ 20 -only_proper_pairs 1 -trim 0 -minInd 19"

#Calculate IBS matrix and more, NOTE works only with angsd version 0.912 or later
angsd -bam $BAM $FILTER -GL 2 -out $OUTP -doGlf 2 -doMajorMinor 1 -doMaf 2 -SNP_pval 2e-6 -doIBS 1 -doCounts 1 -doCov 1 -makeMatrix 1 -minMaf 0.05 -rf $REGIONS -sites $SITES

date
