#!/bin/bash -l
#SBATCH -J angsd_fst_unfolded_REVISION_01
#SBATCH -o angsd_fst_unfolded_REVISION_01_%j.out
#SBATCH -e angsd_fst_unfolded_REVISION_01_%j.err
#SBATCH -t 30:00:00
#SBATCH -n 1
#SBATCH --nodes=1
#SBATCH --cpus-per-task=4
#SBATCH --mem=40000
#SBATCH -p serial
#SBATCH --array=1-4
#SBATCH --mail-type=END
#SBATCH --mail-user=tiina.mattila@oulu.fi

name=$(sed -n "$SLURM_ARRAY_TASK_ID"p /wrk/mattitii/DONOTREMOVE/FINAL_RESULTS_200217/SUPPORT_FILES/namelist_FST_090317)

export PATH=${PATH}:${USERAPPL}/angsd_GIT2/angsd/
export PATH=${PATH}:${USERAPPL}/angsd_GIT2/angsd/misc/

WIN=100000
WIN2=10000
WIN3=5000

echo "Calculateing pairwise SFSs"

##Pairwise SFS
realSFS SP_$name.saf.idx STU_$name.saf.idx -P 4 > SP_STU_2d_$name.sfs
realSFS SP_$name.saf.idx STORR_$name.saf.idx -P 4 > SP_STORR_2d_$name.sfs
realSFS SP_$name.saf.idx PL_$name.saf.idx -P 4 > SP_PL_2d_$name.sfs
realSFS SP_$name.saf.idx MA_$name.saf.idx -P 4 > SP_MA_2d_$name.sfs
realSFS STU_$name.saf.idx STORR_$name.saf.idx -P 4 > STU_STORR_2d_$name.sfs
realSFS STU_$name.saf.idx PL_$name.saf.idx -P 4 > STU_PL_2d_$name.sfs
realSFS STU_$name.saf.idx MA_$name.saf.idx -P 4 > STU_MA_2d_$name.sfs
realSFS STORR_$name.saf.idx PL_$name.saf.idx -P 4 > STORR_PL_2d_$name.sfs
realSFS STORR_$name.saf.idx MA_$name.saf.idx -P 4 > STORR_MA_2d_$name.sfs
realSFS PL_$name.saf.idx MA_$name.saf.idx -P 4 > PL_MA_2d_$name.sfs

echo "Calculateing pairwise FSTs"

##Calculate pairwise FSTs
realSFS fst index SP_$name.saf.idx STU_$name.saf.idx -P 4 -sfs SP_STU_2d_$name.sfs -fstout SP_STU_2d_$name
realSFS fst index SP_$name.saf.idx STORR_$name.saf.idx -P 4 -sfs SP_STORR_2d_$name.sfs -fstout SP_STORR_2d_$name
realSFS fst index SP_$name.saf.idx PL_$name.saf.idx -P 4 -sfs SP_PL_2d_$name.sfs -fstout SP_PL_2d_$name
realSFS fst index SP_$name.saf.idx MA_$name.saf.idx -P 4 -sfs SP_MA_2d_$name.sfs -fstout SP_MA_2d_$name
realSFS fst index STU_$name.saf.idx STORR_$name.saf.idx -P 4 -sfs STU_STORR_2d_$name.sfs -fstout STU_STORR_2d_$name
realSFS fst index STU_$name.saf.idx PL_$name.saf.idx -P 4 -sfs STU_PL_2d_$name.sfs -fstout STU_PL_2d_$name
realSFS fst index STU_$name.saf.idx MA_$name.saf.idx -P 4 -sfs STU_MA_2d_$name.sfs -fstout STU_MA_2d_$name
realSFS fst index STORR_$name.saf.idx PL_$name.saf.idx -P 4 -sfs STORR_PL_2d_$name.sfs -fstout STORR_PL_2d_$name
realSFS fst index STORR_$name.saf.idx MA_$name.saf.idx -P 4 -sfs STORR_MA_2d_$name.sfs -fstout STORR_MA_2d_$name
realSFS fst index PL_$name.saf.idx MA_$name.saf.idx -P 4 -sfs PL_MA_2d_$name.sfs -fstout PL_MA_2d_$name

#Calculate window-fst, window
realSFS fst stats2 SP_STU_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >SP_STU_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 SP_STORR_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >SP_STORR_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 SP_PL_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >SP_PL_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 SP_MA_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >SP_MA_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 STU_STORR_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >STU_STORR_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 STU_PL_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >STU_PL_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 STU_MA_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >STU_MA_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 STORR_PL_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >STORR_PL_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 STORR_MA_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >STORR_MA_2d_"$name"_"$WIN"_window_fst
realSFS fst stats2 PL_MA_2d_$name.fst.idx -win $WIN -step $WIN -type 2 >PL_MA_2d_"$name"_"$WIN"_window_fst

#Calculate window-fst, window2
realSFS fst stats2 SP_STU_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >SP_STU_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 SP_STORR_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >SP_STORR_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 SP_PL_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >SP_PL_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 SP_MA_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >SP_MA_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 STU_STORR_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >STU_STORR_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 STU_PL_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >STU_PL_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 STU_MA_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >STU_MA_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 STORR_PL_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >STORR_PL_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 STORR_MA_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >STORR_MA_2d_"$name"_"$WIN2"_window_fst
realSFS fst stats2 PL_MA_2d_$name.fst.idx -win $WIN2 -step $WIN2 -type 2 >PL_MA_2d_"$name"_"$WIN2"_window_fst

#Calculate window-fst, window3
realSFS fst stats2 SP_STU_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >SP_STU_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 SP_STORR_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >SP_STORR_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 SP_PL_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >SP_PL_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 SP_MA_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >SP_MA_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 STU_STORR_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >STU_STORR_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 STU_PL_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >STU_PL_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 STU_MA_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >STU_MA_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 STORR_PL_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >STORR_PL_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 STORR_MA_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >STORR_MA_2d_"$name"_"$WIN3"_window_fst
realSFS fst stats2 PL_MA_2d_$name.fst.idx -win $WIN3 -step $WIN3 -type 2 >PL_MA_2d_"$name"_"$WIN3"_window_fst

echo "Calculateing three-dimensional sfs and bootstrap"

##Threeway sfs
realSFS SP_$name.saf.idx STU_$name.saf.idx STORR_$name.saf.idx -P 4 > SP_STU_STORR_3d_$name.sfs
realSFS SP_$name.saf.idx STU_$name.saf.idx STORR_$name.saf.idx -P 4 -bootstrap 100 > SP_STU_STORR_3d_"$name"_bootstrap.sfs

realSFS SP_$name.saf.idx STU_$name.saf.idx PL_$name.saf.idx -P 4 > SP_STU_PL_3d_$name.sfs
realSFS SP_$name.saf.idx STU_$name.saf.idx PL_$name.saf.idx -P 4 -bootstrap 100 > SP_STU_PL_3d_"$name"_bootstrap.sfs

realSFS SP_$name.saf.idx PL_$name.saf.idx MA_$name.saf.idx -P 4 > SP_PL_MA_3d_$name.sfs
realSFS SP_$name.saf.idx PL_$name.saf.idx MA_$name.saf.idx -P 4 -bootstrap 100 > SP_PL_MA_3d_"$name"_bootstrap.sfs

realSFS SP_$name.saf.idx STORR_$name.saf.idx PL_$name.saf.idx -P 4 > SP_STORR_PL_3d_$name.sfs
realSFS SP_$name.saf.idx STORR_$name.saf.idx PL_$name.saf.idx -P 4 -bootstrap 100 > SP_STORR_PL_3d_"$name"_bootstrap.sfs

echo "done"
